Subject: Compilation of Pine3.91 under Linux ELF

From: Kees de Bruin <[email-masked]>
Date: Wed, 6 Mar 1996 09:13:56 +0100 (MET)

Have people managed to compile Pine under Linux ELF (kernel 1.3.71, gcc 
2.7.0, libc 5.2.12). I get the following error when compiling the IMAP 
client, file os_lnx.c:

In file included from /usr/include/linux/socket.h:6,
                 from /usr/include/sys/socket.h:5,
                 from os_lnx.c:42:
/usr/include/linux/uio.h:18: redefinition of `struct iovec'

I have already applied the patch from the Infomagic CDROM (aug'95) for 
Linux ELF. I have no problems compiling either Pine (doesn't link) or 
Pico.

Kind regards,

Kees de Bruin

-- 
| | __   .-. .-.    Kees de Bruin        Tasking Software BV   B  O S T O  N
| |/ /  _| | | |_                                              -------------
|   (  / _ | | _ \  [email-masked]       +31-33-4 55 85 84   S Y S T E M S
|_|\_\ \___| |___/                    fax: +31-33-4 55 00 33   -------------
                                                               O  F F I C  E
Mistakes are often the stepping stones to utter failure        -----###-----
                                                               T A S K I N G